# pcre2_maketables_free man page

Return to the PCRE2 index page.

This page is part of the PCRE2 HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.
SYNOPSIS

#include <pcre2.h>

void pcre2_maketables_free(pcre2_general_context *gcontext, const uint8_t *tables);

DESCRIPTION

This function discards a set of character tables that were created by a call to pcre2_maketables().

The gcontext parameter should match what was used in that call to account for any custom allocators that might be in use; if it is NULL the system free() is used.

There is a complete description of the PCRE2 native API in the pcre2api page.

Return to the PCRE2 index page.